{% schema %}
{
  "name": "Featured Collection",
  "class": "section-featured-collection",
  "tag": "section",
  "settings": [
    {
      "type": "collection",
      "id": "featured_collection",
      "label": "Collection"
    },
    {
      "type": "text",
      "id": "section_title",
      "label": "Section Title"
    }
  ],
  "presets": [
    {
      "name": "Featured Collection",
      "category": "JSON Pages"
    }
  ]
}
{% endschema %}

{% if section.settings.featured_collection != blank %}
<section>
  <div class="container">
    <h2 class="section_title">{{ section.settings.section_title }}</h2>
    <div class="d-flex justify-content-between product-carts border-btt">
      {% assign featured_collection = section.settings.featured_collection %}
      {% for product in featured_collection.products %}
        {% render 'product-grid-item', prod: product %}
      {% endfor %}
    </div>
  </div>
</section>
{% endif %}